#
# Conditional build:
%bcond_without	apidocs		# disable API documentation

Summary:	The Eye of MATE image viewer
Summary(pl.UTF-8):	Oko MATE - przeglądarka obrazków
Summary(pt_BR.UTF-8):	Visualizador de imagem Eye of MATE
Name:		eom
Version:	1.26.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	https://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	a839acdf2448ed6c81a0e50d495adbd0
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exempi-devel >= 1.99.5
BuildRequires:	gdk-pixbuf2-devel >= 2.36.5
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.52.0
BuildRequires:	gobject-introspection-devel >= 0.9.3
BuildRequires:	gtk+3-devel >= 3.22
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.9}
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libexif-devel >= 1:0.6.22
BuildRequires:	libjpeg-devel
BuildRequires:	libpeas-devel >= 1.8.0
BuildRequires:	libpeas-gtk-devel >= 1.8.0
BuildRequires:	librsvg-devel >= 2.36.2
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.17.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	shared-mime-info >= 0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.52.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	exempi >= 1.99.5
Requires:	gdk-pixbuf2 >= 2.36.5
Requires:	glib2 >= 1:2.52.0
Requires:	gtk+3 >= 3.22
Requires:	libexif >= 1:0.6.22
Requires:	libpeas >= 1.8.0
Requires:	libpeas-gtk >= 1.8.0
Requires:	librsvg >= 2.36.2
Requires:	mate-desktop-libs >= 1.17.0
Requires:	shared-mime-info >= 0.20
Obsoletes:	mate-image-viewer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eye of MATE is a tool for viewing/cataloging images. It's a fork of
Eye of GNOME.

%description -l pl.UTF-8
Eye of MATE (Oko MATE) jest narzędziem do oglądania i katalogowania
obrazków. Jest to odgałęzienie programu Eye of GNOME.

%description -l pt_BR.UTF-8
Aplicativo para visualizar imagens chamado Eye of MATE.

%package devel
Summary:	Header files for Eye of MATE plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek Eye of MATE
Group:		X11/Development/Libraries
# doesn't require base
Requires:	glib2-devel >= 1:2.52.0
Requires:	gtk+3-devel >= 3.22
Obsoletes:	mate-image-viewer-devel

%description devel
Header files for Eye of MATE plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek Eye of MATE.

%package apidocs
Summary:	Eye of MATE API documentation
Summary(pl.UTF-8):	Dokumentacja API Eye of MATE
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	mate-image-viewer-apidocs
BuildArch:	noarch

%description apidocs
Eye of MATE API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Eye of MATE.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/eom/plugins/*.la

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_ES,frp,ie,ku_IQ,jv,nqo,pms,ur_PK}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/help/ie

%find_lang eom --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f eom.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/eom
%{_libdir}/girepository-1.0/Eom-1.0.typelib
%dir %{_libdir}/eom
%dir %{_libdir}/eom/plugins
%attr(755,root,root) %{_libdir}/eom/plugins/libfullscreen.so
%{_libdir}/eom/plugins/fullscreen.plugin
%attr(755,root,root) %{_libdir}/eom/plugins/libreload.so
%{_libdir}/eom/plugins/reload.plugin
%attr(755,root,root) %{_libdir}/eom/plugins/libstatusbar-date.so
%{_libdir}/eom/plugins/statusbar-date.plugin
%{_datadir}/metainfo/eom.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.enums.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/eom
%{_desktopdir}/eom.desktop
%{_iconsdir}/hicolor/*/apps/eom.*
%{_mandir}/man1/eom.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/eom-2.20
%{_datadir}/gir-1.0/Eom-1.0.gir
%{_pkgconfigdir}/eom.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/eom
%endif
%changelog
* Mon Aug 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eom.git;a=log;h=master

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 1b576c7
- up to 1.26.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> b0a8197
- up to 1.24.2

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 7f3ef9e
- unconditional noarch subpackages

* Mon Aug 17 2020 Jan Palus <atler@pld-linux.org> e6fbd74
- up to 1.24.1

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> 87ed735
- up to 1.24.0

* Wed Sep 18 2019 Jan Palus <atler@pld-linux.org> a1cf124
- up to 1.22.2

* Sat May 25 2019 Jakub Bogusz <qboosh@pld-linux.org> cc46c52
- kab locale is supported now

* Mon May 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 275f3d0
- release 2 (rebuild with exempi 2.5.x)

* Tue Apr 23 2019 Jan Palus <atler@pld-linux.org> 9fbeb11
- up to 1.22.1

* Mon Mar 18 2019 Jan Palus <atler@pld-linux.org> 95eb70c
- up to 1.22.0

* Sun Dec 16 2018 Jan Palus <atler@pld-linux.org> 6364581
- up to 1.20.2

* Wed Jun 13 2018 Jan Palus <atler@pld-linux.org> 823388f
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 2866189
- up to 1.20.0

* Wed Nov 08 2017 Jan Palus <atler@pld-linux.org> 453f534
- up to 1.18.3

* Mon May 08 2017 Jan Palus <atler@pld-linux.org> 4780cd5
- up to 1.18.2

* Wed Apr 05 2017 Jan Palus <atler@pld-linux.org> b120ded
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 3ac251c
- up to 1.18.0

* Sun Feb 05 2017 Jan Palus <atler@pld-linux.org> 6996829
- up to 1.16.1

* Fri Sep 23 2016 Jan Palus <atler@pld-linux.org> 9dfa381
- up to 1.16.0

* Wed Aug 10 2016 Jan Palus <atler@pld-linux.org> 9358ad8
- up to 1.14.2

